Discovering data sources

Before executing predefined queries, use the data sources endpoint to discover which data sources are available to your organization.

List Data Sources

Use this API to return all data sources available to your organization.

CODE
GET /api/v1beta/organizations/{organizationID}/data-sources

Request

No request body required. Only the organizationID path parameter is needed.

Response

JSON
[
  {
    "name": "source_a",
    "timeout": "60s"
  },
  {
    "name": "source_b",
    "timeout": "60s"
  }
]
Field Type Description
name string The data source identifier. Use this value in the {dataSource} path parameter when calling predefined query endpoints.
timeout string Maximum query execution time. For example, 600s for 10 minutes.

Example

BASH
curl -X GET \
  "{SERVICE_ENDPOINT}/api/v1beta/organizations/{organizationID}/data-sources" \
  -H "Accept: application/json" \
  -H 'Authorization: Bearer <token>'
Note: This endpoint uses a different base URL because it is used to discover available data sources.

Once you have the name from the response, such as source_a, use it in subsequent predefined query calls:

CODE
GET /api/v1beta/organizations/{organizationID}/data-sources/source_a/predefined-queries